routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/consulta', 'ConsultaController@consulta');
Route::get('/orden', 'ConsultaController@orden');

Auth::routes([ 'register' => false ]);

Route::get('/', 'HomeController@index')->name('home')->middleware('auth');
Route::get('/home', 'HomeController@index')->name('home')->middleware('auth');

Route::get('/ordens/filtro', 'OrdenController@filter')->middleware('auth');
Route::get('/ordens/buscar', 'OrdenController@search')->middleware('auth');
Route::get('/ordens/imprimir/{id}', 'OrdenController@imprimir')->middleware('auth');

Route::get('/precios/filtro', 'PrecioController@filter')->middleware('auth');

Route::get('/clientes/search', 'ClienteController@search')->middleware('auth');
Route::get('/clientes/buscar', 'ClienteController@buscar')->middleware('auth');
Route::get('/clientes/filtro', 'ClienteController@filter')->middleware('auth');

Route::resource('ordens','OrdenController')->middleware('auth');
Route::resource('clientes','ClienteController')->middleware('auth');
Route::resource('precios','PrecioController')->middleware('auth');
Route::resource('externos','ExternoController')->middleware('auth');
Route::resource('users','UserController')->middleware('auth');

app/Orden.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Orden extends Model
{
    //
    use SoftDeletes;
    protected $dates = ['deleted_at', 'retirado_at', 'fecha_presupuesto', 'fecha_revision'];
    protected $fillable = [ 
        'cliente_id', 
        'mostrador_user_id',
        'producto',
        'marca', 
        'modelo', 
        'serie', 
        'problema', 
        'observaciones',
        'presupuesto', 
        'ubicacion', 
        'estado',
        'seguimiento',
        'tecnico_user_id',
        'revision',
        'fecha_revision',
        'en_garantia',
        'admin_user_id',
        'presupuesto',
        'fecha_presupuesto',
        'permitir_consultas',
        'retirado_at'
    ];

    public static function generarCodigo($orden_id) {
        try {
            $orden = Orden::find($orden_id);
            $orden->codigo = hash('crc32b', uniqid());
            $orden->save();
    
        } catch (Exception $e) {
            $error_info = $e->errorInfo;
            if($error_info[1] == 1062) {
                generarCodigo($orden_id);
            } else {
                // Only logs when an error other than duplicate happens
                Log::error($e);
            }
    
        }
    }

    public function cliente()
    {
        return $this->belongsTo('App\Cliente')->withTrashed();
    }

    public function mostrador_user()
    {
        return $this->belongsTo('App\User', 'mostrador_user_id')->withTrashed();
    }

    public function tecnico_user()
    {
        return $this->belongsTo('App\User', 'tecnico_user_id')->withTrashed();
    }

    public function admin_user()
    {
        return $this->belongsTo('App\User', 'admin_user_id')->withTrashed();
    }

    const INGRESADO_A_REVISAR         = 1;
    const REVISADO_A_PRESUPUESTAR     = 2;
    const PRESUPUESTADO_A_PREGUNTAR   = 3;
    const EN_ESPERA_DE_RESPUESTA      = 4;
    const A_REPARAR                   = 5;
    const REPRESUPUESTAR              = 6;
    const EN_REPARACION               = 7;
    const EN_PREPARACION              = 8;
    const PARA_RETIRAR_AVISAR         = 9;
    const PARA_RETIRAR_AVISADO        = 10;
    const PLAZO_VENCIDO_AVISADO       = 11;
    const RETIRADO_REPARADO           = 12;
    const RETIRADO_NO_REPARADO        = 13;
    const NO_RETIRADO_RECICLADO       = 14;
    const A_RECICLAR                  = 15;

    /**
     * Return list of status codes and labels

     * @return array
     */
    public static function listarEstados()
    {
        return [
            self::INGRESADO_A_REVISAR => 'Ingresado, a revisar',
            self::REVISADO_A_PRESUPUESTAR => 'Revisado, a presupuestar',
            self::PRESUPUESTADO_A_PREGUNTAR => 'Presupuestado, a preguntar',
            self::EN_ESPERA_DE_RESPUESTA => 'En espera de respuesta',
            self::A_RECICLAR => 'Para reciclar',
            self::A_REPARAR => 'A reparar',
            self::REPRESUPUESTAR => 'Represupuestar',
            self::EN_REPARACION => 'En reparación',
            self::EN_PREPARACION => 'En preparación',
            self::PARA_RETIRAR_AVISAR => 'Para retirar, avisar',
            self::PARA_RETIRAR_AVISADO => 'Para retirar, avisado',
            self::PLAZO_VENCIDO_AVISADO => 'Plazo vencido, avisado',
            self::RETIRADO_REPARADO => 'Retirado (reparado)',
            self::RETIRADO_NO_REPARADO => 'Retirado (sin reparar)',
            self::NO_RETIRADO_RECICLADO => 'No retirado (reciclado)'
        ];
    }

    /**
     * Devuelve el nombre para mostrar del estado

     * @param string
     */
    public function estadoNombre()
    {
        $list = self::listarEstados();

        // validación por si hay un estado inexistente guardado en la db
        return isset($list[$this->estado]) 
            ? $list[$this->estado] 
            : $this->estado;
    }

    /**
     * Some actions will happen only if it's active, so I have 
     * this method for making things easier.
     * Other status doesn't have a specific method because
     * I usually don't compare agains them
     * @return Boolean
     */
    public function isActive()
    {
        return $this->estado == self::EN_REPARACION;
    }

    /**
     * Solo ordenes con ciertos estados
     *
     * @param  \Illuminate\Database\Eloquent\Builder $query
     * @param  mixed $estado
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeConEstado($query, $estado)
    {
        return $query->where('estado', $estado);
    }
}

app/Http/Controllers/OrdenController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Orden;
use App\Repositories\UserRepository;

class OrdenController extends Controller
{
    public function __construct()
    {
        $this->middleware('rol:todos', ['only' => ['index', 'show', 'filter', 'edit', 'update', 'search', 'imprimir']]);
        $this->middleware('rol:admin|mostrador', ['only' => ['create', 'store']]);
        $this->middleware('rol:admin', ['only' => ['destroy']]);
    }

    public function index()
    {
        //
        $ordens = Orden::with('cliente:id,nombre')->orderBy('id', 'desc')->paginate(20);
        $estados = Orden::listarEstados();
        $filtrado = false;

        return view('ordens.index', compact('ordens', 'estados', 'filtrado'));
    }

    public function imprimir($id)
    {
        $orden = Orden::with('cliente')->find($id);

        return view('ordens.imprimir', compact('orden'));
    }

    public function search()
    {
        $estados = Orden::listarEstados();
        $users = UserRepository::getActiveUsers();

        return view('ordens.buscar', compact('estados', 'users'));
    }

    public function filter(Request $request)
    {
        //
        $grupo = $request->input('grupo');

        $id = $request->input('id');
        $codigo = $request->input('codigo');
        $estado = $request->input('estado');
        $en_garantia = $request->input('en_garantia');
        $mostrador_user_id = $request->input('mostrador_user_id');
        $tecnico_user_id = $request->input('tecnico_user_id');
        $admin_user_id = $request->input('admin_user_id');

        $producto = $request->input('producto');
        $marca = $request->input('marca');
        $modelo = $request->input('modelo');
        $serie = $request->input('serie');
        $problema = $request->input('problema');
        $observaciones = $request->input('observaciones');
        $ubicacion = $request->input('ubicacion');
        $seguimiento = $request->input('seguimiento');
        $revision = $request->input('revision');
        $presupuesto = $request->input('presupuesto');

        $created_at_inicio = $request->input('created_at-inicio');
        $created_at_fin = $request->input('created_at-fin');
        $retirado_at_inicio = $request->input('retirado_at-inicio');
        $retirado_at_fin = $request->input('retirado_at-fin');
        $fecha_revision_inicio = $request->input('fecha_revision-inicio');
        $fecha_revision_fin = $request->input('fecha_revision-fin');
        $fecha_presupuesto_inicio = $request->input('fecha_presupuesto-inicio');
        $fecha_presupuesto_fin = $request->input('fecha_presupuesto-fin');
        
        $ordens = Orden::with('cliente:id,nombre')
                ->when($grupo, function ($query, $grupo) {
                    if ($grupo === "revision") {
                        return $query
                            ->where('estado', Orden::INGRESADO_A_REVISAR);
                    } elseif ($grupo === "presupuestos") {
                        return $query
                            ->where('estado', Orden::REVISADO_A_PRESUPUESTAR)
                            ->orWhere('estado', Orden::REPRESUPUESTAR);
                    } elseif ($grupo === "comunicacion") {
                        return $query
                            ->where('estado', Orden::PRESUPUESTADO_A_PREGUNTAR)
                            ->orWhere('estado', Orden::PARA_RETIRAR_AVISAR)
                            ->orWhere('estado', Orden::EN_ESPERA_DE_RESPUESTA);
                    } elseif ($grupo === "reparacion") {
                        return $query
                            ->where('estado', Orden::A_REPARAR)
                            ->orWhere('estado', Orden::EN_REPARACION)
                            ->orWhere('estado', Orden::EN_PREPARACION);
                    } elseif ($grupo === "retirar") {
                        return $query
                            ->where('estado', Orden::PARA_RETIRAR_AVISADO)
                            ->orWhere('estado', Orden::PLAZO_VENCIDO_AVISADO);
                    } elseif ($grupo === "retirados") {
                        return $query
                            ->where('estado', Orden::RETIRADO_REPARADO)
                            ->orWhere('estado', Orden::RETIRADO_NO_REPARADO);
                    } elseif ($grupo === "sinretirar") {
                        return $query
                            ->where('estado', Orden::NO_RETIRADO_RECICLADO)
                            ->orWhere('estado', Orden::A_RECICLAR);
                    }
                    
                })
                ->when($id, function ($query, $id) {
                    return $query->where('id', $id);
                })
                ->when($codigo, function ($query, $codigo) {
                    return $query->where('codigo', $codigo);
                })
                ->when($en_garantia, function ($query, $en_garantia) {
                    return $query->where('en_garantia', $en_garantia);
                })
                ->when($mostrador_user_id, function ($query, $mostrador_user_id) {
                    return $query->where('mostrador_user_id', $mostrador_user_id);
                })
                ->when($tecnico_user_id, function ($query, $tecnico_user_id) {
                    return $query->where('tecnico_user_id', $tecnico_user_id);
                })
                ->when($admin_user_id, function ($query, $admin_user_id) {
                    return $query->where('admin_user_id', $admin_user_id);
                })
                ->when($producto, function ($query, $producto) {
                    return $query->where('producto', 'LIKE', '%' . $producto . '%');
                })
                ->when($marca, function ($query, $marca) {
                    return $query->where('marca', 'LIKE', '%' . $marca . '%');
                })
                ->when($modelo, function ($query, $modelo) {
                    return $query->where('modelo', 'LIKE', '%' . $modelo . '%');
                })
                ->when($serie, function ($query, $serie) {
                    return $query->where('serie', 'LIKE', '%' . $serie . '%');
                })
                ->when($problema, function ($query, $problema) {
                    return $query->where('problema', 'LIKE', '%' . $problema . '%');
                })
                ->when($observaciones, function ($query, $observaciones) {
                    return $query->where('observaciones', 'LIKE', '%' . $observaciones . '%');
                })
                ->when($ubicacion, function ($query, $ubicacion) {
                    return $query->where('ubicacion', 'LIKE', '%' . $ubicacion . '%');
                })
                ->when($seguimiento, function ($query, $seguimiento) {
                    return $query->where('seguimiento', 'LIKE', '%' . $seguimiento . '%');
                })
                ->when($revision, function ($query, $revision) {
                    return $query->where('revision', 'LIKE', '%' . $revision . '%');
                })
                ->when($presupuesto, function ($query, $presupuesto) {
                    return $query->where('presupuesto', 'LIKE', '%' . $presupuesto . '%');
                })
                ->when($estado, function ($query, $estado) {
                    return $query->where('estado', $estado);
                })
                ->when($created_at_inicio, function ($query, $created_at_inicio) {
                    return $query->whereDate('created_at', '>=', $created_at_inicio);
                })
                ->when($created_at_fin, function ($query, $created_at_fin) {
                    return $query->whereDate('created_at', '<=', $created_at_fin);
                })
                ->when($retirado_at_inicio, function ($query, $retirado_at_inicio) {
                    return $query->whereDate('retirado_at', '>=', $retirado_at_inicio);
                })
                ->when($retirado_at_fin, function ($query, $retirado_at_fin) {
                    return $query->whereDate('retirado_at', '<=', $retirado_at_fin);
                })
                ->when($fecha_presupuesto_inicio, function ($query, $fecha_presupuesto_inicio) {
                    return $query->whereDate('fecha_presupuesto', '>=', $fecha_presupuesto_inicio);
                })
                ->when($fecha_presupuesto_fin, function ($query, $fecha_presupuesto_fin) {
                    return $query->whereDate('fecha_presupuesto', '<=', $fecha_presupuesto_fin);
                })
                ->when($fecha_revision_inicio, function ($query, $fecha_revision_inicio) {
                    return $query->whereDate('fecha_revision', '>=', $fecha_revision_inicio);
                })
                ->when($fecha_revision_fin, function ($query, $fecha_revision_fin) {
                    return $query->whereDate('fecha_revision', '<=', $fecha_revision_fin);
                })
                ->orderBy('id', 'desc')->paginate(20);

        $estados = Orden::listarEstados();

        $filtrado = true;

        return view('ordens.index', compact('ordens', 'estados', 'filtrado'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('ordens.create');
    }

    
    public function store(Request $request)
    {
        //
        $request->validate([
            'producto' => 'required',
            'problema' => 'required',
            'marca' => 'required',
            'modelo' => 'required',
            'serie' => 'required',
            'ubicacion' => 'nullable',
            'observaciones' => 'nullable'
        ]);

        $orden = $request->all();

        $orden['mostrador_user_id'] = auth()->user()->id;

        $orden['estado'] = 1;

        $id = Orden::create($orden)->id;

        Orden::generarCodigo($id);

resources/views/ordens/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h2>Registrar nueva orden</h2><br />
    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div><br />
    @endif
    @if (\Session::has('success'))
    <div class="alert alert-success">
        <p>{{ \Session::get('success') }}</p>
    </div><br />
    @endif
    <form method="post" action="{{url('ordens')}}">
        {{csrf_field()}}
        <div class="visible-cliente">
            <div class="row">
                <div class="form-group col-lg-6 required mx-auto">
                    <label for="producto">Producto:</label>
                    <input type="text" class="form-control" required name="producto">
                </div>
            </div>
            <div class="row">
                <div class="form-group col-lg-6 required mx-auto">
                    <label for="marca">Marca:</label>
                    <input type="text" class="form-control" required name="marca">
                </div>
            </div>
            <div class="row">
                <div class="form-group col-lg-6 required mx-auto">
                    <label for="modelo">Modelo:</label>
                    <input type="text" class="form-control" required name="modelo">
                </div>
            </div>
            <div class="row">
                <div class="form-group col-lg-6 required mx-auto">
                    <label for="serie">Serie:</label>
                    <input type="text" class="form-control" required name="serie">
                </div>
            </div>
            <div class="row">
                <div class="form-group col-lg-6 required mx-auto">
                    <label for="problema">Problema:</label>
                    <textarea rows="4" class="form-control" required name="problema"></textarea>
                </div>
            </div>
            <div class="row">
                <div class="form-group col-lg-6 mx-auto">
                    <label for="observaciones">Accesorios y observaciones:</label>
                    <textarea rows="2" class="form-control" name="observaciones"></textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="form-group col-lg-6 mx-auto">
                <label for="ubicacion">Ubicación:</label>
                <textarea rows="2" class="form-control" name="ubicacion"></textarea>
            </div>
        </div>
        <div class="row">
            <div class="form-group col-lg-6 mx-auto">
                <button type="submit" class="btn btn-success" style="margin-left:38px">Registrar orden</button>
            </div>
        </div>
    </form>
</div>
@endsection

resources/views/ordens/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col">
            <div class="btn-group">
                <a class="btn btn-primary" href="{{ action('OrdenController@search') }}">Búsqueda avanzada</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col my-2">
            <a href="{{action('OrdenController@filter', 'grupo=revision')}}" class="badge badge-danger">A revisar</a>
            <a href="{{action('OrdenController@filter', 'grupo=presupuestos')}}" class="badge badge-warning">(Re)presupuestar</a>
            <a href="{{action('OrdenController@filter', 'grupo=comunicacion')}}" class="badge badge-primary">Comunicación</a>
            <a href="{{action('OrdenController@filter', 'grupo=reparacion')}}" class="badge badge-secondary">Reparación</a>
            <a href="{{action('OrdenController@filter', 'grupo=retirar')}}" class="badge badge-success">A retirar</a>
            <a href="{{action('OrdenController@filter', 'grupo=retirados')}}" class="badge badge-light">Retirados</a>
            <a href="{{action('OrdenController@filter', 'grupo=sinretirar')}}" class="badge badge-dark">Sin retirar</a>
        </div>
    </div>
    <div class="row">
        <div class="col my-2">
            @if ($filtrado)
            <a type="button" class="btn btn-outline-primary" href="{{ route('ordens.index') }}">Eliminar filtros</a>
            @endif
        </div>
    </div>
</div>

@if (\Session::has('success'))
<div class="alert alert-success">
    <p>{{ \Session::get('success') }}</p>
</div><br />
@endif
<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead>
            <form method="get" id="filtrarForm" action="{{action('OrdenController@filter')}}">
                <tr>
                    <th class="position-relative">
                        <a class="d-flex w-100 justify-content-between align-items-center" data-toggle="collapse" href="#filtrarId" role="button" aria-expanded="false" aria-controls="filtrarId">
                            Número
                            @if (!empty(app('request')->input('id')))
                            <i class="fas fa-filter"></i>
                            @endif
                            <i class="fas fa-caret-down"></i>
                        </a>
                        <div class="collapse form-group filtro-columna" id="filtrarId">
                            <input class="form-control" name="id" type="number" value="{{ app('request')->input('id') }}">
                            <a class="input-clear" href="#filtrarId"><i class="fas fa-times-circle"></i></a>
                        </div>
                    </th>
                    <th class="position-relative">
                        <a class="d-flex w-100 justify-content-between align-items-center" data-toggle="collapse" href="#filtrarCodigo" role="button" aria-expanded="false" aria-controls="filtrarCodigo">
                            Código
                            @if (!empty(app('request')->input('id')))
                            <i class="fas fa-filter"></i>
                            @endif
                            <i class="fas fa-caret-down"></i>
                        </a>
                        <div class="collapse form-group filtro-columna" id="filtrarCodigo">
                            <input class="form-control" name="codigo" type="text" value="{{ app('request')->input('codigo') }}">
                            <a class="input-clear" href="#filtrarCodigo"><i class="fas fa-times-circle"></i></a>
                        </div>
                    </th>
                    <th class="position-relative">
                        <a class="d-flex w-100 justify-content-between align-items-center" data-toggle="collapse" href="#filtrarEstado" role="button" aria-expanded="false" aria-controls="filtrarEstado">
                            Estado
                            @if (!empty(app('request')->input('estado')))
                            <i class="fas fa-filter"></i>
                            @endif
                            <i class="fas fa-caret-down"></i>
                        </a>
                        <div class="collapse form-group filtro-columna" id="filtrarEstado">
                            <select class="form-control auto-submit" name="estado">
                                <option value="">Todos</option>
                                @foreach ($estados as $index => $estado)
                                <option value="{{$index}}" {{(app('request')->input('estado')==$index?"selected":"")}}>{{$estado}}</option>
                                @endforeach
                            </select>
                        </div>
                    </th>
                    <th class="position-relative">
                        <a class="d-flex w-100 justify-content-between align-items-center" data-toggle="collapse" href="#filtrarProducto" role="button" aria-expanded="false" aria-controls="filtrarProducto">
                            Producto
                            @if (!empty(app('request')->input('producto')))
                            <i class="fas fa-filter"></i>
                            @endif
                            <i class="fas fa-caret-down"></i>
                        </a>
                        <div class="collapse form-group filtro-columna" id="filtrarProducto">
                            <input class="form-control" name="producto" type="text" value="{{ app('request')->input('producto') }}">
                            <a class="input-clear" href="#filtrarProducto"><i class="fas fa-times-circle"></i></a>
                        </div>
                    </th>
                    <!--<th>Técnico</th>-->
                    <th class="position-relative">
                        <a class="d-flex w-100 justify-content-between align-items-center" data-toggle="collapse" href="#filtrarFechaRegistro" role="button" aria-expanded="false" aria-controls="filtrarFechaRegistro">
                            Registrado
                            @if (!empty(app('request')->input('created_at-inicio')))
                            <i class="fas fa-filter"></i>
                            @endif
                            <i class="fas fa-caret-down"></i>
                        </a>
                        <div class="collapse form-group filtro-columna card p-2" id="filtrarFechaRegistro">
                            <label for="created_at-inicio">Inicio:</label>
                            <input class="form-control" type="date" name="created_at-inicio" value="{{ app('request')->input('created_at-inicio') }}">
                            <label for="created_at-fin">Fin:</label>
                            <input class="form-control" type="date" name="created_at-fin" value="{{ app('request')->input('created_at-fin') }}">
                        </div>
                    </th>
                    <th class="position-relative">
                        <a class="d-flex w-100 justify-content-between align-items-center" data-toggle="collapse" href="#filtrarFechaRetiro" role="button" aria-expanded="false" aria-controls="filtrarFechaRetiro">
                            Retirado
                            @if (!empty(app('request')->input('retirado_at-inicio')))
                            <i class="fas fa-filter"></i>
                            @endif
                            <i class="fas fa-caret-down"></i>
                        </a>
                        <div class="collapse form-group filtro-columna card p-2" id="filtrarFechaRetiro">
                            <label for="retirado_at-inicio">Inicio:</label>
                            <input class="form-control" type="date" name="retirado_at-inicio" value="{{ app('request')->input('retirado_at-inicio') }}">
                            <label for="retirado_at-fin">Fin:</label>
                            <input class="form-control" type="date" name="retirado_at-fin" value="{{ app('request')->input('retirado_at-fin') }}">
                        </div>
                    </th>
                    <th>Acciones
                        <input type="submit" class="d-none" value="Filtrar">
                    </th>
                </tr>
            </form>
        </thead>
        <tbody>
            @foreach($ordens as $orden)
            <tr>
                <td>
                    <span class="badge badge-dark text-monospace">{{ $orden->id }}</span>
                </td>
                <td>
                    <span class="badge badge-light text-monospace">{{ $orden->codigo }}</span> 
                </td>
                <td>
                    @include('ordens.estados.badge-pill', ['estado' => $orden['estado']])
                </td>
                <td>{{$orden['producto']}}</td>
                <!--<td>
                    @if (empty($orden['updater']))
                    <span>Sin asignar</span>
                    @else
                    <a href="{{  route('users.show',$orden['updater']['id']) }}">{{$orden['updater']['name']}}</a>
                    @endif
                </td>-->
                <td>{{ $orden->created_at->format('d/m/Y') }}</td>
                <td>{{ $orden->retirado_at ? $orden->retirado_at->format('d/m/Y') : '-' }}</td>
                <td>
                    <div class="btn-group" role="group" aria-label="Acciones">
                        <a href="{{action('OrdenController@show', $orden['id'])}}" class="btn btn-info btn-sm">Ver</a>
                        <a href="{{action('OrdenController@edit', $orden['id'])}}" class="btn btn-warning btn-sm">Editar</a>
                        <form onsubmit="return confirm('¿Realmente desea borrar la orden?');" action="{{action('OrdenController@destroy', $orden['id'])}}" method="post" class="d-inline-block confirm-needed">
                            {{csrf_field()}}
                            <input name="_method" type="hidden" value="DELETE">
                            <button class="btn btn-danger btn-sm" type="submit">Borrar</button>
                        </form>
                    </div>
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
    {{ $ordens->links() }}
</div>
@endsection